Memcached
Memcached::addByKey
Memcached
PHP Manual

# Memcached::add

Add an item under a new key

### Description

public bool Memcached::add ( string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::add is similar to Memcached::set, but the operation fails if the `key` already exists on the server.

### Parameters

`key`

  The key under which to store the value.

`value`

  The value to store.

`expiration`

  The expiration time, defaults to 0. See Expiration Times for more info.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key already exists.

### See Also

- Memcached::addByKey
- Memcached::set
- Memcached::replace